Improve company productivity with a Business Account.Sign Up

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 224
  • Last Modified:

kernel module programming

sir ,
         i have wriiten a simple module found on a tutorial on the inter net .


  But when loaded using insmod ,

an error message shows that:

   it is compiled for an older version .

How can i avoid this ?


 

         
         
         
           
0
karana
Asked:
karana
1 Solution
 
91changeCommented:
match version number in

/usr/include/linux/version.h with that of ur kernel


0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Free Tool: IP Lookup

Get more info about an IP address or domain name, such as organization, abuse contacts and geolocation.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now